Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in mariadb
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in mariadb
ID: openSUSE-SU-2020:0289-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Di, 3. März 2020, 07:13
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-18901
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-2574
Applikationen: MariaDB

Originalnachricht

   openSUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0289-1
Rating: moderate
References: #1160878 #1160883 #1160895 #1160912 #1162388

Cross-References: CVE-2019-18901 CVE-2020-2574
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves two vulnerabilities and has three
fixes is now available.

Description:

This update for mariadb fixes the following issues:

MariaDB was updated to version 10.2.31 GA (bsc#1162388).

Security issues fixed:

- CVE-2020-2574: Fixed a difficult to exploit vulnerability that allowed
an attacker to crash the client (bsc#1162388).
- CVE-2019-18901: Fixed an unsafe path handling behavior in
mysql-systemd-helper (bsc#1160895).
- Enabled security hardenings in MariaDB's systemd service, namely
ProtectSystem, ProtectHome and UMask (bsc#1160878).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-289=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libmysqld-devel-10.2.31-lp151.2.12.1
libmysqld19-10.2.31-lp151.2.12.1
libmysqld19-debuginfo-10.2.31-lp151.2.12.1
mariadb-10.2.31-lp151.2.12.1
mariadb-bench-10.2.31-lp151.2.12.1
mariadb-bench-debuginfo-10.2.31-lp151.2.12.1
mariadb-client-10.2.31-lp151.2.12.1
mariadb-client-debuginfo-10.2.31-lp151.2.12.1
mariadb-debuginfo-10.2.31-lp151.2.12.1
mariadb-debugsource-10.2.31-lp151.2.12.1
mariadb-galera-10.2.31-lp151.2.12.1
mariadb-test-10.2.31-lp151.2.12.1
mariadb-test-debuginfo-10.2.31-lp151.2.12.1
mariadb-tools-10.2.31-lp151.2.12.1
mariadb-tools-debuginfo-10.2.31-lp151.2.12.1

- openSUSE Leap 15.1 (noarch):

mariadb-errormessages-10.2.31-lp151.2.12.1


References:

https://www.suse.com/security/cve/CVE-2019-18901.html
https://www.suse.com/security/cve/CVE-2020-2574.html
https://bugzilla.suse.com/1160878
https://bugzilla.suse.com/1160883
https://bugzilla.suse.com/1160895
https://bugzilla.suse.com/1160912
https://bugzilla.suse.com/1162388

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung